//#include "../syscalls.h"

.globl _start
.globl rt_unix_start

.text

// Start point unix.
_start:
    xor %rbp, %rbp // Clear stack frame pointer

    mov (%rsp), %rdi // Mov argc to rdi
    lea 0x8(%rsp), %rsi // Get the argv address
    lea 16(%rsp,%rdi,8), %rdx // Get the envp address
    
    call rt_unix_start // Start c function
    // Use exit_group syscall
    movq $231, %rax
    movq $0, %rdi
    syscall
    hlt // Halt if the lib or app does not call the exit function.