#include "base.h"
#include "windows.h"

// Windows(Win32) of course needs to be different...

// Use the wide entry
#pragma comment(linker,"/ENTRY:wmainCRTStartup")

// Main
//extern int WINAPI mainCRTStartup();
int WINAPI mainCRTStartup() // => main
{
    return 0;
}
//extern int __CRTDECL wmain(int argc, wchar_t** argv, wchar_t** envp);
int WINAPI wmainCRTStartup() // => wmain
{
    return 0;
}

// WinMain
//extern int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nShowCmd);
int WINAPI WinMainCRTStartup() // => WinMain
{
    return 0;
}

//extern int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPWSTR lpCmdLine, int nShowCmd);
int wWinMainCRTStartup() // => wWinMain
{
    return 0;
}

// RTC stuff
BOOL WINAPI _RTC_InitBase()
{
    return TRUE;
}

BOOL WINAPI _RTC_Shutdown()
{
    return TRUE;
}

// Library
/* #ifdef MRTDLL
extern BOOL __clrcall DllMain(HINSTANCE hInstance, DWORD fdwReason, LPVOID lpvReserved);
#else
extern BOOL WINAPI DllMain(HINSTANCE hInstance, DWORD fdwReason, LPVOID lpvReserved);
#endif // MRTDLL */

BOOL WINAPI _DllMainCRTStartup(HINSTANCE const instance, DWORD const reason, LPVOID const reserved) // => DllMain
{
    (void)instance;
    (void)reason;
    (void)reserved;
    //TODO: Handle dllmain
    return TRUE;
}